Subject: bug#70791: closed (Re: bug#70791: 30.0.50; edebug-remove-instrumentation doesn't see instrumented functions)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 02:35:04 +0000

Your bug report

#70791: 30.0.50; edebug-remove-instrumentation doesn't see instrumented functions

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70791: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70791
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70791: 30.0.50; edebug-remove-instrumentation doesn't see instrumented functions
From: Stefan Kangas <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: Ag Ibragimov <[email-masked]>, [email-masked]
Date: Fri, 28 Feb 2025 18:34:00 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier <[email-masked]> writes:

>> I noticed that after instrumenting a function
>> (edebug-remove-instrumentation) doesn't let you uninstrument it,
>> showing:
>
> I believe it should be fixed now on `master`.  Thanks.

I'm therefore closing this bug report.

Subject: 30.0.50; edebug-remove-instrumentation doesn't see instrumented functions
From: Ag Ibragimov <[email-masked]>
To: [email-masked]
Date: Sun, 05 May 2024 14:12:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

It's been a while since the last time I reported a bug, please don't get
mad if something is missing. Also, it seems web search on bug tracker is
broken, I'm not sure if someone already filed it.

I noticed that after instrumenting a function
(edebug-remove-instrumentation) doesn't let you uninstrument it,
showing:

byte-code: Found no functions to remove instrumentation from

I tried with emacs -Q -- same shit.

---------------

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.41, cairo version 1.18.0) of 2024-05-04 built on arch-machina
Repository revision: 043bb36312039f60a464b918daa1dd214cd369f1
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101012
System Description: Manjaro Linux

Configured using:
 'configure --with-json --with-native-compilation --with-xwidgets
 --with-tree-sitter --verbose'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG
RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER
WEBP X11 XDBE XIM XINPUT2 XPM XWIDGETS GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix